package com.unis.statisticalAnalysis.modular.kczl.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

public class BusinessQcQualityInspection {

    private String registeredAddress;

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }


    private Integer id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdate;

    private String updatename;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedate;

    private String zjbgdh;

    private Integer orgId;

    private String jylb;

    private Integer basicStorehouseId;

    private Integer warehouseId;

    private Integer grainVarietyId;

    private Integer grainNatureId;

    private Integer grainGradeId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date rkrq;

    private String receiveYear;

    private String produceArea;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date jysj;

    private Integer checkResult;

    private String jydw;

    private String jyr;

    private String jyyj;

    private String zblb;

    private String spaqzbsfhg;

    private String qfrq;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date bgcjsj;

    private String shrxm;

    private String sfzcccnx;

    private String zbjgpd;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date qysj;

    private String qydbh;

    private String qyrxm;

    private String qyqy;

    private String jdrxm;

    private String ypbh;

    private BigDecimal ypsl;

    private BigDecimal dbsl;

    private String ypdj;

    private String sampleStatus;

    private String samplePackageModel;

    private String bz;

    // 子表数组
    private List<BusinessQcQualityInspectionItem> item;
    private   Map<Integer, List<String>> maps;

    public Map<Integer, List<String>> getMaps() {
        return maps;
    }

    public void setMaps(Map<Integer, List<String>> maps) {
        this.maps = maps;
    }

    // 业务字段
    @ApiModelProperty(value = "库区名称")
    private String orgName;
    @ApiModelProperty(value = "仓房名称")
    private String storeHouseName;
    @ApiModelProperty(value = "货位名称")
    private String warehouseName;
    @ApiModelProperty(value = "品种名称")
    private String grainVarietyName;
    @ApiModelProperty(value = "性质名称")
    private String grainNatureName;
    private String grainGradeName;
    private String ajmc;
    private String producerName;
    private Integer inspectionItemId;

    @ApiModelProperty(value = "检验项目")
    private String inspectionItemName;

    @ApiModelProperty(value = "检验值")
    private String inspectionValue;

    public String getInspectionValue() {
        return inspectionValue;
    }

    public void setInspectionValue(String inspectionValue) {
        this.inspectionValue = inspectionValue;
    }

    public String getInspectionItemName() {
        return inspectionItemName;
    }

    public void setInspectionItemName(String inspectionItemName) {
        this.inspectionItemName = inspectionItemName;
    }

    public Integer getGrainNatureId() {
        return grainNatureId;
    }

    public void setGrainNatureId(Integer grainNatureId) {
        this.grainNatureId = grainNatureId;
    }

    public String getGrainNatureName() {
        return grainNatureName;
    }

    public void setGrainNatureName(String grainNatureName) {
        this.grainNatureName = grainNatureName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getStoreHouseName() {
        return storeHouseName;
    }

    public void setStoreHouseName(String storeHouseName) {
        this.storeHouseName = storeHouseName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getGrainVarietyName() {
        return grainVarietyName;
    }

    public void setGrainVarietyName(String grainVarietyName) {
        this.grainVarietyName = grainVarietyName;
    }

    public List<BusinessQcQualityInspectionItem> getItem() {
        return item;
    }

    public void setItem(List<BusinessQcQualityInspectionItem> item) {
        this.item = item;
    }

    public String getGrainGradeName() {
        return grainGradeName;
    }

    public void setGrainGradeName(String grainGradeName) {
        this.grainGradeName = grainGradeName;
    }

    public String getAjmc() {
        return ajmc;
    }

    public void setAjmc(String ajmc) {
        this.ajmc = ajmc;
    }

    public String getProducerName() {
        return producerName;
    }

    public void setProducerName(String producerName) {
        this.producerName = producerName;
    }

    public Integer getInspectionItemId() {
        return inspectionItemId;
    }

    public void setInspectionItemId(Integer inspectionItemId) {
        this.inspectionItemId = inspectionItemId;
    }

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 创建日期
     * @return createdate 创建日期
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate 创建日期
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 更新人
     * @return updatename 更新人
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 更新人
     * @param updatename 更新人
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * 更新日期
     * @return updatedate 更新日期
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * 更新日期
     * @param updatedate 更新日期
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * 质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成
     * @return zjbgdh 质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成
     */
    public String getZjbgdh() {
        return zjbgdh;
    }

    /**
     * 质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成
     * @param zjbgdh 质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成
     */
    public void setZjbgdh(String zjbgdh) {
        this.zjbgdh = zjbgdh == null ? null : zjbgdh.trim();
    }

    /**
     * 库区id；org_info的id；
     * @return org_id 库区id；org_info的id；
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库区id；org_info的id；
     * @param orgId 库区id；org_info的id；
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；
     * @return jylb 检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；
     */
    public String getJylb() {
        return jylb;
    }

    /**
     * 检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；
     * @param jylb 检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；
     */
    public void setJylb(String jylb) {
        this.jylb = jylb == null ? null : jylb.trim();
    }

    /**
     * basic_storehouse的id；仓房id
     * @return basic_storehouse_id basic_storehouse的id；仓房id
     */
    public Integer getBasicStorehouseId() {
        return basicStorehouseId;
    }

    /**
     * basic_storehouse的id；仓房id
     * @param basicStorehouseId basic_storehouse的id；仓房id
     */
    public void setBasicStorehouseId(Integer basicStorehouseId) {
        this.basicStorehouseId = basicStorehouseId;
    }

    /**
     * basic_warehouse的id；货位id;
     * @return warehouse_id basic_warehouse的id；货位id;
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * basic_warehouse的id；货位id;
     * @param warehouseId basic_warehouse的id；货位id;
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮食品种；basic_enum的id；
     * @return grain_variety_id 粮食品种；basic_enum的id；
     */
    public Integer getGrainVarietyId() {
        return grainVarietyId;
    }

    /**
     * 粮食品种；basic_enum的id；
     * @param grainVarietyId 粮食品种；basic_enum的id；
     */
    public void setGrainVarietyId(Integer grainVarietyId) {
        this.grainVarietyId = grainVarietyId;
    }

    /**
     * 粮食等级；basic_enum的id；
     * @return grain_grade_id 粮食等级；basic_enum的id；
     */
    public Integer getGrainGradeId() {
        return grainGradeId;
    }

    /**
     * 粮食等级；basic_enum的id；
     * @param grainGradeId 粮食等级；basic_enum的id；
     */
    public void setGrainGradeId(Integer grainGradeId) {
        this.grainGradeId = grainGradeId;
    }

    /**
     * 入库日期，格式：yyyy-MM-dd
     * @return rkrq 入库日期，格式：yyyy-MM-dd
     */
    public Date getRkrq() {
        return rkrq;
    }

    /**
     * 入库日期，格式：yyyy-MM-dd
     * @param rkrq 入库日期，格式：yyyy-MM-dd
     */
    public void setRkrq(Date rkrq) {
        this.rkrq = rkrq;
    }

    /**
     * 收获年度
     * @return receive_year 收获年度
     */
    public String getReceiveYear() {
        return receiveYear;
    }

    /**
     * 收获年度
     * @param receiveYear 收获年度
     */
    public void setReceiveYear(String receiveYear) {
        this.receiveYear = receiveYear;
    }

    /**
     * 产地
     * @return produce_area 产地
     */
    public String getProduceArea() {
        return produceArea;
    }

    /**
     * 产地
     * @param produceArea 产地
     */
    public void setProduceArea(String produceArea) {
        this.produceArea = produceArea == null ? null : produceArea.trim();
    }

    /**
     * 检验时间，格式：yyyy-MM-dd HH:mm:ss
     * @return jysj 检验时间，格式：yyyy-MM-dd HH:mm:ss
     */
    public Date getJysj() {
        return jysj;
    }

    /**
     * 检验时间，格式：yyyy-MM-dd HH:mm:ss
     * @param jysj 检验时间，格式：yyyy-MM-dd HH:mm:ss
     */
    public void setJysj(Date jysj) {
        this.jysj = jysj;
    }

    /**
     * 检验结果 0：不合格；1：合格；
     * @return check_result 检验结果 0：不合格；1：合格；
     */
    public Integer getCheckResult() {
        return checkResult;
    }

    /**
     * 检验结果 0：不合格；1：合格；
     * @param checkResult 检验结果 0：不合格；1：合格；
     */
    public void setCheckResult(Integer checkResult) {
        this.checkResult = checkResult;
    }

    /**
     * 检验单位
     * @return jydw 检验单位
     */
    public String getJydw() {
        return jydw;
    }

    /**
     * 检验单位
     * @param jydw 检验单位
     */
    public void setJydw(String jydw) {
        this.jydw = jydw == null ? null : jydw.trim();
    }

    /**
     * 检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔
     * @return jyr 检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔
     */
    public String getJyr() {
        return jyr;
    }

    /**
     * 检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔
     * @param jyr 检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔
     */
    public void setJyr(String jyr) {
        this.jyr = jyr == null ? null : jyr.trim();
    }

    /**
     * 检验依据，1：国标, 0：其他
     * @return jyyj 检验依据，1：国标, 0：其他
     */
    public String getJyyj() {
        return jyyj;
    }

    /**
     * 检验依据，1：国标, 0：其他
     * @param jyyj 检验依据，1：国标, 0：其他
     */
    public void setJyyj(String jyyj) {
        this.jyyj = jyyj == null ? null : jyyj.trim();
    }

    /**
     * 指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验
     * @return zblb 指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验
     */
    public String getZblb() {
        return zblb;
    }

    /**
     * 指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验
     * @param zblb 指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验
     */
    public void setZblb(String zblb) {
        this.zblb = zblb == null ? null : zblb.trim();
    }

    /**
     * 食品安全指标是否合格，0：不合格, 1：合格
     * @return spaqzbsfhg 食品安全指标是否合格，0：不合格, 1：合格
     */
    public String getSpaqzbsfhg() {
        return spaqzbsfhg;
    }

    /**
     * 食品安全指标是否合格，0：不合格, 1：合格
     * @param spaqzbsfhg 食品安全指标是否合格，0：不合格, 1：合格
     */
    public void setSpaqzbsfhg(String spaqzbsfhg) {
        this.spaqzbsfhg = spaqzbsfhg == null ? null : spaqzbsfhg.trim();
    }

    /**
     * 签发日期，格式：yyyy-MM-dd
     * @return qfrq 签发日期，格式：yyyy-MM-dd
     */
    public String getQfrq() {
        return qfrq;
    }

    /**
     * 签发日期，格式：yyyy-MM-dd
     * @param qfrq 签发日期，格式：yyyy-MM-dd
     */
    public void setQfrq(String qfrq) {
        this.qfrq = qfrq == null ? null : qfrq.trim();
    }

    /**
     * 报告出具时间，格式：yyyy-MM-dd HH:mm:ss
     * @return bgcjsj 报告出具时间，格式：yyyy-MM-dd HH:mm:ss
     */
    public Date getBgcjsj() {
        return bgcjsj;
    }

    /**
     * 报告出具时间，格式：yyyy-MM-dd HH:mm:ss
     * @param bgcjsj 报告出具时间，格式：yyyy-MM-dd HH:mm:ss
     */
    public void setBgcjsj(Date bgcjsj) {
        this.bgcjsj = bgcjsj;
    }

    /**
     * 审核人姓名
     * @return shrxm 审核人姓名
     */
    public String getShrxm() {
        return shrxm;
    }

    /**
     * 审核人姓名
     * @param shrxm 审核人姓名
     */
    public void setShrxm(String shrxm) {
        this.shrxm = shrxm == null ? null : shrxm.trim();
    }

    /**
     * 是否正常存储年限，0：否, 1：是
     * @return sfzcccnx 是否正常存储年限，0：否, 1：是
     */
    public String getSfzcccnx() {
        return sfzcccnx;
    }

    /**
     * 是否正常存储年限，0：否, 1：是
     * @param sfzcccnx 是否正常存储年限，0：否, 1：是
     */
    public void setSfzcccnx(String sfzcccnx) {
        this.sfzcccnx = sfzcccnx == null ? null : sfzcccnx.trim();
    }

    /**
     * 指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格
     * @return zbjgpd 指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格
     */
    public String getZbjgpd() {
        return zbjgpd;
    }

    /**
     * 指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格
     * @param zbjgpd 指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格
     */
    public void setZbjgpd(String zbjgpd) {
        this.zbjgpd = zbjgpd == null ? null : zbjgpd.trim();
    }

    /**
     * 抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss
     * @return qysj 抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss
     */
    public Date getQysj() {
        return qysj;
    }

    /**
     * 抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss
     * @param qysj 抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss
     */
    public void setQysj(Date qysj) {
        this.qysj = qysj;
    }

    /**
     * 抽样单编号；扦样单编号；
     * @return qydbh 抽样单编号；扦样单编号；
     */
    public String getQydbh() {
        return qydbh;
    }

    /**
     * 抽样单编号；扦样单编号；
     * @param qydbh 抽样单编号；扦样单编号；
     */
    public void setQydbh(String qydbh) {
        this.qydbh = qydbh == null ? null : qydbh.trim();
    }

    /**
     * 抽样人员；扦样人姓名
     * @return qyrxm 抽样人员；扦样人姓名
     */
    public String getQyrxm() {
        return qyrxm;
    }

    /**
     * 抽样人员；扦样人姓名
     * @param qyrxm 抽样人员；扦样人姓名
     */
    public void setQyrxm(String qyrxm) {
        this.qyrxm = qyrxm == null ? null : qyrxm.trim();
    }

    /**
     * 扦样区域
     * @return qyqy 扦样区域
     */
    public String getQyqy() {
        return qyqy;
    }

    /**
     * 扦样区域
     * @param qyqy 扦样区域
     */
    public void setQyqy(String qyqy) {
        this.qyqy = qyqy == null ? null : qyqy.trim();
    }

    /**
     * 监督人姓名
     * @return jdrxm 监督人姓名
     */
    public String getJdrxm() {
        return jdrxm;
    }

    /**
     * 监督人姓名
     * @param jdrxm 监督人姓名
     */
    public void setJdrxm(String jdrxm) {
        this.jdrxm = jdrxm == null ? null : jdrxm.trim();
    }

    /**
     * 样品编号
     * @return ypbh 样品编号
     */
    public String getYpbh() {
        return ypbh;
    }

    /**
     * 样品编号
     * @param ypbh 样品编号
     */
    public void setYpbh(String ypbh) {
        this.ypbh = ypbh == null ? null : ypbh.trim();
    }

    /**
     * 样品数量，单位：公斤
     * @return ypsl 样品数量，单位：公斤
     */
    public BigDecimal getYpsl() {
        return ypsl;
    }

    /**
     * 样品数量，单位：公斤
     * @param ypsl 样品数量，单位：公斤
     */
    public void setYpsl(BigDecimal ypsl) {
        this.ypsl = ypsl;
    }

    /**
     * 代表数量，单位：公斤
     * @return dbsl 代表数量，单位：公斤
     */
    public BigDecimal getDbsl() {
        return dbsl;
    }

    /**
     * 代表数量，单位：公斤
     * @param dbsl 代表数量，单位：公斤
     */
    public void setDbsl(BigDecimal dbsl) {
        this.dbsl = dbsl;
    }

    /**
     * 样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3
     * @return ypdj 样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3
     */
    public String getYpdj() {
        return ypdj;
    }

    /**
     * 样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3
     * @param ypdj 样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3
     */
    public void setYpdj(String ypdj) {
        this.ypdj = ypdj == null ? null : ypdj.trim();
    }

    /**
     * 样品状态
     * @return sample_status 样品状态
     */
    public String getSampleStatus() {
        return sampleStatus;
    }

    /**
     * 样品状态
     * @param sampleStatus 样品状态
     */
    public void setSampleStatus(String sampleStatus) {
        this.sampleStatus = sampleStatus == null ? null : sampleStatus.trim();
    }

    /**
     * 样品包装型号
     * @return sample_package_model 样品包装型号
     */
    public String getSamplePackageModel() {
        return samplePackageModel;
    }

    /**
     * 样品包装型号
     * @param samplePackageModel 样品包装型号
     */
    public void setSamplePackageModel(String samplePackageModel) {
        this.samplePackageModel = samplePackageModel == null ? null : samplePackageModel.trim();
    }

    /**
     * 备注
     * @return bz 备注
     */
    public String getBz() {
        return bz;
    }

    /**
     * 备注
     * @param bz 备注
     */
    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }
}